# Enable component packaging for the ARCHIVE GENERATOR family
set(CPACK_ARCHIVE_COMPONENT_INSTALL ON)
set(CPACK_COMPONENTS_ALL_IN_ONE_PACKAGE 1)

message(STATUS "CPACK-${CPACK_GENERATOR}...")
if ("${CPACK_GENERATOR}" MATCHES "TGZ")
  message(STATUS "TGZ specific")
  set(CPACK_COMPONENTS_ALL basic)
elseif ("${CPACK_GENERATOR}" MATCHES "TBZ2")
  message(STATUS "TGZ specific")
  set(CPACK_COMPONENTS_ALL basic optional)
else()
  message(STATUS "Others")
  set(CPACK_COMPONENTS_ALL basic)
endif()
